python3 pyro py Pyrogram v0 11 Copyright 2017-2019 Dan Tès https githu

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
$ python3 pyro.py
Pyrogram v0.11.0, Copyright (C) 2017-2019 Dan Tès <https://github.com/delivrance>
Licensed under the terms of the GNU Lesser General Public License v3 or later (LGPLv3+)
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/pyrogram/client/client.py", line 1309, in resolve_peer
return self.peers_by_id[peer_id]
KeyError: 'tgdev_en'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/pyrogram/client/client.py", line 1318, in resolve_peer
int(peer_id)
ValueError: invalid literal for int() with base 10: 'tgdev_en'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "pyro.py", line 17, in <module>
for member in app.iter_chat_members(username):
File "/usr/local/lib/python3.5/dist-packages/pyrogram/client/methods/chats/iter_chat_members.py", line 88, in iter_chat_members
if self.get_chat_members_count(chat_id) <= 10000 and filter == Filters.ALL
File "/usr/local/lib/python3.5/dist-packages/pyrogram/client/methods/chats/get_chat_members_count.py", line 41, in get_chat_members_count
peer = self.resolve_peer(chat_id)
File "/usr/local/lib/python3.5/dist-packages/pyrogram/client/client.py", line 1327, in resolve_peer
return self.peers_by_username[peer_id]
KeyError: 'tgdev_en'